From d72c1466651634f748a89e85d4fceadb75c6793e Mon Sep 17 00:00:00 2001
From: Peter van Hardenberg <pvh@pvh.ca>
Date: Thu, 15 Dec 2016 10:59:48 -0800
Subject: [PATCH] A basic markdown README and an update to requirements.txt.

---
 README           | 39 +++++++++++++++++++++++++++++++++++++++
 requirements.txt |  2 +-
 2 files changed, 40 insertions(+), 1 deletion(-)
 create mode 100644 README

diff --git a/README b/README
new file mode 100644
index 0000000..cc9ab50
--- /dev/null
+++ b/README
@@ -0,0 +1,39 @@
+# CommitFest
+
+This application manages commitfests for the PostgreSQL community.
+
+A commitfest is a collection of patches and reviews for a project and is part of the PostgreSQL development process.
+
+## The Application
+
+This is a Django 1.4 application backed by PostgreSQL and running on Python 2.7.
+
+## Getting Started
+
+### Ubuntu instructions
+
+First, prepare your development environment by installing pip, virtualenv, and postgresql-server-dev-X.Y.
+
+$ sudo apt install python-pip postgresql-server-dev-9.6
+
+$ pip install virtualenv
+
+Next, configure your local environment with virtualenv and install local dependencies.
+
+$ virtualenv env
+$ source env/bin/activate
+$ pip install -r requirements.txt
+$ python manage.py migrate
+
+Now prepare the application to run locally.
+
+First disable the PostgreSQL.org authentication modules by removing the `AUTHENTICATION_BACKENDS` list in pgcommitfest/settings.py. Authentication will default to the built-in Django authentication module. While you're modifying settings.py, set `DEBUG = True` to enable more debugging information.
+
+You'll need either a database dump of the actual server's data or else to create a superuser:
+
+$ python manage.py createsuperuser
+
+Finally, you're ready to start the application:
+
+$ python manage.py runserver
+
diff --git a/requirements.txt b/requirements.txt
index de4f235..d4d8e3c 100644
--- a/requirements.txt
+++ b/requirements.txt
@@ -1,4 +1,4 @@
-django>1.4,<1.5
+django>1.8,<1.9
 psycopg2
 simplejson
 pycrypto
-- 
2.9.3

